breaking into the unknown…

JRE not installed or Java is disabled Firefox

1 Comment

This error is given by browser while trying to load any java Applets , if java plugin is not installed for that browser. I will explain it in terms of firefox on ubuntu 14.04 having 64 bit architecture .

STEP 1: check the installed plugin in firefox

Type about:plugins in the firefox URL and hit enter . It will show you all the currently, installed plugin .

If you see the below detail :

IcedTea-Web Plugin (using IcedTea-Web 1.5 (1.5-1ubuntu1))

    Path: /usr/lib/jvm/java-7-openjdk-amd64/jre/lib/amd64/
    State: Enabled
    The IcedTea-Web Plugin executes Java applets.

It means, you already have the plugin. But if it is so, You would have not reached here 🙂


STEP 2: Install JAVA

Ubuntu support openjdk directly and can be easily installed with apt-get command as below

arun@arun-desktop:~$ sudo apt-get install openjdk-7-jdk

Now you can verify the installed java as below.

arun@arun-desktop:~$ which java
arun@arun-desktop:~$ java -version
java version “1.7.0_55”
OpenJDK Runtime Environment (IcedTea 2.4.7) (7u55-2.4.7-1ubuntu1)
OpenJDK 64-Bit Server VM (build 24.51-b03, mixed mode)


STEP 3: Install icedtea plugin

Firefox is default browser with ubuntu. when you install ubuntu it automatically install Firefox to /usr/lib/mozilla folder. let us inspect this folder.

arun@arun-desktop:~$ cd /usr/lib/mozilla
arun@arun-desktop:/usr/lib/mozilla$ ls
extensions  plugins
arun@arun-desktop:/usr/lib/mozilla$ cd plugins/
arun@arun-desktop:/usr/lib/mozilla/plugins$ ls

So, there nothing seem related to java … O.K let us install it. But wait, icedtea depend on java version: Java 1.6 will require icedtea6-plugin, Java 1.7 icedtea-7-plugin. Since we have 1.7 version as seen in step 2 above we will install as below.

Also, icedta depend on openjdk, If you have sunjava jdk, it will not installed

arun@arun-desktop:~$ sudo apt-get install icedtea-7-plugin

That’s all, if you again check /usr/lib/mozilla/plugins folder you can find added there.

Restart your firefox, your java plugin will be available now



Author: arunyadav4u

over 7 years experience in web development with Ruby on Rails.Involved in all stage of development lifecycle : requirement gathering, planing, coding, deployment & Knowledge transfer. I can adept to any situation, mixup very easily with people & can be a great friend.

One thought on “JRE not installed or Java is disabled Firefox

  1. Thanks so far, however it doesn’t work on my machine. Ubuntu LTS 14.04 64bit on a Dell notebook. Packages installed as above and listed, but any Java page is not working in Firefox. Any ideas?

Leave a Reply

Fill in your details below or click an icon to log in: Logo

You are commenting using your account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s